import greenfoot.*;
import java.awt.Color;
public class AboutBox extends Actor {
    public void addedToWorld(World world) {
        int width = world.getWidth(), height = world.getHeight();
        double rate = 0.1;
        for(double d = rate; d < 1; d += rate) {
            int w = (int)Math.round((double)width*d),
                h = (int)Math.round((double)height*d);
            GreenfootImage img = new GreenfootImage(w, h);
            img.setTransparency(180);
            img.fill();
            setImage(img);
            Greenfoot.delay(1);
        }
        GreenfootImage img = new GreenfootImage(width, height);
        img.setTransparency(180);
        img.fill();
        img.setColor(Color.WHITE);
        String[] text = {
            "About 2D-MC",
            "[Press Escape to exit]",
            "",
            "2D-MC is a 2D version of Minecraft.",
            "In 2D-MC you build..",
            "..whatever you want!",
            "To build, you have to gather",
            "materials, such as wood, stone",
            "and coal.",
            "Click and hold on a block to",
            "gather it and click in an empty",
            "spot to place a block from your",
            "inventory!"
        };
        int fontSize = (height-10)/text.length;
        img.setFont(img.getFont().deriveFont((float)fontSize));
        for(int i = 0; i < text.length; i++) {
            img.drawString(text[i], 10, fontSize*i+fontSize);
        }
        setImage(img);
    }
    
    public void act() {
        if(Greenfoot.isKeyDown("escape")) getWorld().removeObject(this);
    }
}
