import greenfoot.*;
public class Dirt extends Block
{
    private static final GreenfootImage DIRT_IMAGE = new GreenfootImage("Dirt.png");
    private static final GreenfootImage GRASS_IMAGE = new GreenfootImage("Grass.png");
    
    public Dirt() {
        baseImg = DIRT_IMAGE;
        mineTime = 20;
    }
    
    public void act() {
        if(baseImg == DIRT_IMAGE
        && !beingMined
        && MCWorld.BLOCKS
        [getX()/Block.SIZE + MCWorld.X_OFFSET]
        [getY()/Block.SIZE + MCWorld.Y_OFFSET - 1]
        == null
        && Greenfoot.getRandomNumber(250) == 0) {
            baseImg = GRASS_IMAGE;
            setImage(baseImg);
        } else if(baseImg == GRASS_IMAGE
        && beingMined) {
            baseImg = DIRT_IMAGE;
        }
        super.act();
    }
}
